Subject: Re: linux-next: usb.current tree build warnings

From: Greg KH <[email-masked]>
Date: Sun, 12 Jul 2009 19:10:34 -0700

On Mon, Jul 13, 2009 at 11:38:26AM +1000, Stephen Rothwell wrote:
> Hi Greg,
> 
> Today's linux-next build (x86_64 allmodconfig) produced this warning:
> 
> drivers/usb/serial/option.c: In function 'option_instat_callback':
> drivers/usb/serial/option.c:834: warning: unused variable 'serial'
> drivers/usb/serial/option.c: In function 'option_open':
> drivers/usb/serial/option.c:930: warning: unused variable 'serial'
> 
> Introduced by commit d9860b9ea060492b9ce239c6317f65db1d96ffb9 ("USB:
> option: remove unnecessary and erroneous code").

Hm, I thought I had fixed that up in a later patch.  But you are right,
it should be addressed in this patch, I'll look at it tomorrow morning.

thanks,

greg k-h